=== debian/changelog ===
rustc (1.62.1+dfsg1~llvm-0ubuntu0.18.04~ppa1+9.0trisquel0) etiona-backports; urgency=medium

  * Import as dependency of newer abrowser (deb) dependencies.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 22 Dec 2022 14:09:08 +0000

rustc (1.62.1+dfsg1~llvm-0ubuntu0.18.04~ppa1) bionic; urgency=medium

  * PPA upload

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 01 Dec 2022 12:57:34 +0100

rustc (1.62.1+dfsg1~llvm-0ubuntu0.18.04) bionic; urgency=medium

  * Backport to bionic
  * Comment out the Vendored-Sources-Rust support as it's not available
    in older releases
  * Re-enable embedded LLVM:
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
    - Adjust debian/watch to include +llvm in upstream version.
  * Revert debhelper compat 13 bump back to 11
  * d/control: Build-depend on cmake-mozilla

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 01 Dec 2022 12:57:15 +0100

rustc (1.62.1+dfsg1-1ubuntu1) lunar; urgency=medium

  * Merge 1.62.0+dfsg1-1 from Debian unstable
    Remaining changes:
    - Downgrade cargo from rustc Recommends to Suggests to make rustc promotable to
      main.
    - d/control: Add fonts-nanum to the rust-doc deps
    - d/control: Add the rust-doc deps as build-deps for the linkchecker tests
    - Reduce parallelism on all arches other than riscv64 to avoid OOMs
      during build.
    - Explicitly disable LTO
    - Add a self-build autopkgtest
    - Ship the Cargo.lock file along with the compiler to identify which crates
      were bundled in.
    - d/p/ubuntu-fix-crossbeam-CVE-2022-23639.patch: cherry-pick to fix CVE-2022-23639
      amended to also patch the 0.7.2 version of the crate
    - On i386, only build debuginfo for libstd
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
    - Drop llvm-13 to Suggests for rustc to avoid having to promote it to Ubuntu
      main
    - Add XS-Vendored-Sources-Rust field support
      Needed an extra patch due to rustc being a multi-crate source package.
    Integrated in Debian:
    - d/p/ubuntu-disable-ppc64el-asm-tests.patch: disable tests on power
      and s390x if using asm!()
    - d/p/ubuntu-ignore-arm-doctest.patch: Patch out the bad doctests for the
      instruction_set errors
    Dropped, not needed anymore:
    - d/p/ubuntu-compiletest-fix.patch: Fix compilation with 1.61
  * d/control: Update the vendored sources field

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 24 Nov 2022 09:58:29 +0100

rustc (1.62.1+dfsg1-1) unstable; urgency=medium

  * Upload to unstable
  * Fix armhf build

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Mon, 31 Oct 2022 14:19:34 +0100

rustc (1.62.1+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Fri, 28 Oct 2022 11:35:48 +0200

rustc (1.61.0+dfsg1-1~exp1ubuntu1) kinetic; urgency=medium

  * Merge 1.61.0+dfsg1-1~exp1 from Debian unstable (LP: #1986648)
    Remaining changes:
    - Downgrade cargo from rustc Recommends to Suggests to make rustc promotable to
      main. (LP: #1966200)
    - d/control: Add fonts-nanum to the rust-doc deps
    - d/control: Add the rust-doc deps as build-deps for the linkchecker tests
    - Reduce parallelism on all arches other than riscv64 to avoid OOMs
      during build.
    - Explicitly disable LTO
    - Add a self-build autopkgtest
    - Ship the Cargo.lock file along with the compiler to identify which crates
      were bundled in.
    - d/p/ubuntu-ignore-arm-doctest.patch: Patch out the bad doctests for the
      instruction_set errors
    - d/p/ubuntu-fix-crossbeam-CVE-2022-23639.patch: cherry-pick to fix CVE-2022-23639
      amended to also patch the 0.7.2 version of the crate
    - On i386, only build debuginfo for libstd
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
    - Drop llvm-13 to Suggests for rustc to avoid having to promote it to Ubuntu
      main
    - Add XS-Vendored-Sources-Rust field support
      Needed an extra patch due to rustc being a multi-crate source package.
    - d/p/ubuntu-disable-ppc64el-asm-tests.patch: disable tests on power
      and s390x if using asm!()
  * d/control: Update the vendored sources field
  * d/p/ubuntu-compiletest-fix.patch: Fix compilation with 1.61

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 19 Sep 2022 18:41:53 +0200

rustc (1.60.0+dfsg1-1+ubuntu1) kinetic; urgency=medium

  * Merge 1.60.0+dfsg1-1+ubuntu1 from Debian unstable (LP: #1986648)
    Remaining changes:
    - Downgrade cargo from rustc Recommends to Suggests to make rustc promotable
      to main. (LP: #1966200)
    - d/control: Add fonts-nanum to the rust-doc deps
    - d/control: Add the rust-doc deps as build-deps for the linkchecker tests
    - Reduce parallelism on all arches other than riscv64 to avoid OOMs
      during build.
    - Explicitly disable LTO

