=== debian/control ===
Source: rustc
Section: devel
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>,
 Sylvestre Ledru <sylvestre@debian.org>
Rules-Requires-Root: no
# :native annotations are to support cross-compiling, see README.Debian
Build-Depends:
 debhelper (>= 9),
 debhelper-compat (= 11),
# dh-cargo (>= 28ubuntu1~),
 dpkg-dev (>= 1.17.14),
 python3:native,
 cargo:native (>= 0.40.0)      <!pkg.rustc.dlstage0>,
 rustc:native (>= 1.61.0+dfsg) <!pkg.rustc.dlstage0>,
 rustc:native (<= 1.62.1++)    <!pkg.rustc.dlstage0>,
 cmake-mozilla,
# needed by some vendor crates
 pkg-config,
# this is sometimes needed by rustc_llvm
 zlib1g-dev:native,
 zlib1g-dev,
# used by rust-installer
 liblzma-dev:native,
# Required for llvm build
 autotools-dev,
 m4,
 ninja-build,
# test dependencies:
 binutils (>= 2.26) <!nocheck> | binutils-2.26 <!nocheck>,
 git <!nocheck>,
 procps <!nocheck>,
# Resources loaded from the docs, checked by linkchecker
 libjs-jquery <!nocheck>,
 libjs-highlight.js <!nocheck>,
 libjs-mathjax <!nocheck>,
 fonts-open-sans <!nocheck>,
 fonts-font-awesome <!nocheck>,
 fonts-nanum <!nocheck>,
# below are optional tools even for 'make check'
 gdb (>= 7.12) <!nocheck>,
 libc6-dbg [armhf],
# Extra build-deps needed for x.py to download stuff in pkg.rustc.dlstage0.
 curl <pkg.rustc.dlstage0>,
 ca-certificates <pkg.rustc.dlstage0>,
Build-Depends-Indep:
 libssl-dev,
Build-Conflicts: gdb-minimal (<< 8.1-0ubuntu6) <!nocheck>
Standards-Version: 4.2.1
Homepage: http://www.rust-lang.org/
Vcs-Git: https://salsa.debian.org/rust-team/rust.git
Vcs-Browser: https://salsa.debian.org/rust-team/rust
XS-Vendored-Sources-Rust: addr2line@0.16.0, adler@0.2.3, adler@1.0.2, ahash@0.7.4, aho-corasick@0.7.18, ammonia@3.2.0, annotate-snippets@0.8.0, ansi_term@0.12.1, anyhow@1.0.56, array_tool@1.0.3, arrayvec@0.7.2, askama@0.11.0, askama_derive@0.11.0, askama_escape@0.10.2, askama_shared@0.12.0, atty@0.2.14, autocfg@1.1.0, bitflags@1.3.2, block-buffer@0.10.2, block-buffer@0.7.3, block-padding@0.1.5, bstr@0.2.13, byte-tools@0.3.1, bytecount@0.6.2, byteorder@1.3.4, bytes@1.0.1, camino@1.0.7, cargo-platform@0.1.2, cargo_metadata@0.14.2, cc@1.0.73, cfg-if@0.1.10, cfg-if@1.0.0, chalk-derive@0.80.0, chalk-engine@0.80.0, chalk-ir@0.80.0, chalk-solve@0.80.0, chrono@0.4.19, clap@2.34.0, clap@3.1.1, clap_complete@3.1.1, cmake@0.1.44, colored@2.0.0, compiler_builtins@0.1.71, compiletest_rs@0.7.1, cpufeatures@0.2.1, crc32fast@1.3.2, crossbeam-channel@0.5.4, crossbeam-deque@0.8.1, crossbeam-epoch@0.9.8, crossbeam-utils@0.8.8, crypto-common@0.1.2, cstr@0.2.8, ctor@0.1.15, datafrog@2.0.1, derive-new@0.5.8, diff@0.1.12, digest@0.10.2, digest@0.8.1, dirs-next@2.0.0, dirs-sys-next@0.1.2, dirs-sys@0.3.6, dirs@2.0.2, dissimilar@1.0.3, dlmalloc@0.2.3, either@1.6.1, elasticlunr-rs@2.3.9, ena@0.14.0, env_logger@0.7.1, env_logger@0.8.4, expect-test@1.2.2, fake-simd@0.1.2, fallible-iterator@0.2.0, filetime@0.2.16, fixedbitset@0.2.0, flate2@1.0.23, fluent-bundle@0.15.2, fluent-langneg@0.13.0, fluent-syntax@0.11.0, fnv@1.0.7, form_urlencoded@1.0.1, fortanix-sgx-abi@0.3.3, fs-err@2.5.0, futf@0.1.4, futures-channel@0.3.19, futures-core@0.3.19, futures-executor@0.3.19, futures-io@0.3.19, futures-macro@0.3.19, futures-sink@0.3.19, futures-task@0.3.19, futures-util@0.3.19, futures@0.3.19, generic-array@0.12.4, generic-array@0.14.4, getopts@0.2.21, getrandom@0.1.14, getrandom@0.2.0, gimli@0.25.0, gimli@0.26.1, glob@0.3.0, globset@0.4.5, gsgdt@0.1.2, handlebars@4.1.0, hashbrown@0.11.2, hashbrown@0.12.0, heck@0.3.3, hermit-abi@0.1.19, hermit-abi@0.2.0, hex@0.4.2, html5ever@0.26.0, humantime@1.3.0, humantime@2.0.1, idna@0.2.3, if_chain@1.0.0, ignore@0.4.17, indexmap@1.8.1, indoc@1.0.3, instant@0.1.12, intl-memoizer@0.5.1, intl_pluralrules@7.0.1, itertools@0.10.3, itoa@1.0.1, jobserver@0.1.24, jsonpath_lib@0.2.6, lazy_static@1.4.0, libc@0.2.125, libloading@0.7.3, libm@0.1.4, lock_api@0.4.7, log@0.4.16, lzma-sys@0.1.16, mac@0.1.1, macro-utils@0.1.3, maplit@1.0.2, markup5ever@0.11.0, matchers@0.1.0, matches@0.1.9, md-5@0.10.0, mdbook@0.4.18, measureme@10.0.0, memchr@2.4.1, memmap2@0.2.1, memoffset@0.6.5, minifier@0.0.43, minimal-lexical@0.2.1, miniz_oxide@0.4.0, miniz_oxide@0.5.1, miow@0.3.7, new_debug_unreachable@1.0.4, nom@7.1.0, num-integer@0.1.43, num-traits@0.2.12, num_cpus@1.13.1, object@0.26.2, object@0.28.4, odht@0.3.1, once_cell@1.10.0, opaque-debug@0.2.3, opener@0.5.0, os_str_bytes@6.0.0, output_vt100@0.1.2, packed_simd_2@0.3.4, parking_lot@0.11.2, parking_lot@0.12.0, parking_lot_core@0.8.5, parking_lot_core@0.9.2, pathdiff@0.2.1, percent-encoding@2.1.0, perf-event-open-sys@1.0.1, pest@2.1.3, pest_derive@2.1.0, pest_generator@2.1.3, pest_meta@2.1.3, petgraph@0.5.1, phf@0.10.1, phf_codegen@0.10.0, phf_generator@0.10.0, phf_shared@0.10.0, pin-project-lite@0.2.8, pin-utils@0.1.0, pkg-config@0.3.18, polonius-engine@0.13.0, ppv-lite86@0.2.8, precomputed-hash@0.1.1, pretty_assertions@0.7.2, proc-macro-error-attr@1.0.4, proc-macro-error@1.0.4, proc-macro-hack@0.5.19, proc-macro2@1.0.37, psm@0.1.16, pulldown-cmark@0.9.1, punycode@0.4.1, quick-error@1.2.3, quick-error@2.0.0, quine-mc_cluskey@0.2.4, quote@1.0.18, rand@0.7.3, rand@0.8.5, rand_chacha@0.2.2, rand_chacha@0.3.0, rand_core@0.5.1, rand_core@0.6.2, rand_hc@0.2.0, rand_xorshift@0.2.0, rand_xoshiro@0.6.0, rayon-core@1.9.2, rayon@1.5.2, redox_syscall@0.2.13, redox_users@0.4.0, regex-automata@0.1.10, regex-syntax@0.6.25, regex@1.5.5, remove_dir_all@0.5.3, rls-data@0.19.1, rls-span@0.5.3, rustc-demangle@0.1.21, rustc-hash@1.1.0, rustc-rayon-core@0.3.2, rustc-rayon@0.3.2, rustc-semver@1.1.0, rustc_tools_util@0.2.0, rustfix@0.5.1, rustfix@0.6.0, rustversion@1.0.5, ryu@1.0.9, same-file@1.0.6, scoped-tls@1.0.0, scopeguard@1.1.0, self_cell@0.10.2, semver@1.0.7, serde@1.0.136, serde_derive@1.0.136, serde_json@1.0.79, sha-1@0.10.0, sha-1@0.8.2, sha2@0.10.1, sharded-slab@0.1.4, shell-escape@0.1.5, shlex@1.0.0, siphasher@0.3.3, slab@0.4.2, smallvec@1.8.0, snap@1.0.5, stable_deref_trait@1.2.0, stacker@0.1.14, string_cache@0.8.3, string_cache_codegen@0.5.2, strsim@0.10.0, strsim@0.8.0, structopt-derive@0.4.18, structopt@0.3.25, strum@0.18.0, strum_macros@0.18.0, syn@1.0.91, synstructure@0.12.6, tar@0.4.37, tempfile@3.2.0, tendril@0.4.1, term@0.6.1, term@0.7.0, termcolor@1.1.2, termize@0.1.1, tester@0.9.0, textwrap@0.11.0, textwrap@0.14.2, thiserror-impl@1.0.30, thiserror@1.0.30, thorin-dwp@0.2.0, thread_local@1.1.4, time@0.1.43, tinystr@0.3.4, tinyvec@1.5.1, tinyvec_macros@0.1.0, tokio@1.8.4, toml@0.5.7, topological-sort@0.1.0, tracing-attributes@0.1.20, tracing-core@0.1.26, tracing-log@0.1.2, tracing-subscriber@0.3.11, tracing-tree@0.2.0, tracing@0.1.34, type-map@0.4.0, typenum@1.12.0, ucd-parse@0.1.8, ucd-trie@0.1.3, unic-char-property@0.9.0, unic-char-range@0.9.0, unic-common@0.9.0, unic-emoji-char@0.9.0, unic-langid-impl@0.9.0, unic-langid-macros-impl@0.9.0, unic-langid-macros@0.9.0, unic-langid@0.9.0, unic-ucd-version@0.9.0, unicase@2.6.0, unicode-bidi@0.3.7, unicode-normalization@0.1.19, unicode-script@0.5.3, unicode-security@0.0.5, unicode-segmentation@1.9.0, unicode-width@0.1.8, unicode-xid@0.2.2, unicode_categories@0.1.1, unified-diff@0.2.1, unindent@0.1.7, url@2.2.2, utf-8@0.7.5, valuable@0.1.0, vec_map@0.8.2, version_check@0.9.4, walkdir@2.3.2, wasi@0.11.0+wasi-snapshot-preview1, wasi@0.9.0+wasi-snapshot-preview1, winapi-i686-pc-windows-gnu@0.4.0, winapi-util@0.1.5, winapi-x86_64-pc-windows-gnu@0.4.0, winapi@0.3.9, windows-sys@0.34.0, windows_aarch64_msvc@0.34.0, windows_i686_gnu@0.34.0, windows_i686_msvc@0.34.0, windows_x86_64_gnu@0.34.0, windows_x86_64_msvc@0.34.0, xattr@0.2.2, xz2@0.1.6, yaml-rust@0.3.5, yansi-term@0.1.2

Package: rustc
Architecture: any
Multi-Arch: allowed
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
 libstd-rust-dev (= ${binary:Version}),
 gcc, libc-dev, binutils (>= 2.26)
Suggests:
# lld and clang are needed for wasm compilation
# llvm is needed for llvm-dwp for -C split-debuginfo=packed
 cargo (>= 0.63.0~~), cargo (<< 0.64.0~~),
 llvm-14,lld-14, clang-14,
Replaces: libstd-rust-dev (<< 1.26.2+dfsg1+llvm-0ubuntu1~~)
Breaks: libstd-rust-dev (<< 1.26.2+dfsg1+llvm-0ubuntu1~~)
Description: Rust systems programming language
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.

Package: libstd-rust-1.62
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Rust standard libraries
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains the standard Rust libraries, built as dylibs,
 needed to run dynamically-linked Rust programs (-C prefer-dynamic).

Package: libstd-rust-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
 libstd-rust-1.62 (= ${binary:Version}),
Description: Rust standard libraries - development files
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains development files for the standard Rust libraries,
 needed to compile Rust programs. It may also be installed on a system
 of another host architecture, for cross-compiling to this architecture.

Package: rust-gdb
Architecture: all
Depends: gdb, ${misc:Depends}
Suggests: gdb-doc
Replaces: rustc (<< 1.1.0+dfsg1-1)
Description: Rust debugger (gdb)
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains pretty printers and a wrapper script for
 invoking gdb on rust binaries.

Package: rust-lldb
Architecture: all
# When updating, also update rust-lldb.links
Depends: lldb-14, ${misc:Depends}, python3-lldb-14
